export default function useSetOverflowVisibleOnRA(isNestedInModal?: boolean) {
  function setOverflowVisible(isOpen: boolean) {
    if (isOpen) {
      document.body.style.overflow = "visible"
    } else if (!isNestedInModal) {
      document.body.style.overflow = ""
    }
  }

  return setOverflowVisible
}
